package com.engine.salary.enums.siaccount;

import com.engine.salary.enums.BaseEnum;


public enum ProjectTypeEnum implements BaseEnum<Integer> {
    ALL(0, "全部", 85155),
    SOCIAL(1, "社保", 86568),
    FUND(2, "公积金", 86569),
    OTHER(3, "企业年金及其他福利", 93112),
    ENDOWMENT_INSURANCE(4, "养老保险", 93113),
    MEDICAL_INSURANCE(5, "医疗保险", 93114);

    private int value;

    private String defaultLabel;

    private int labelId;

    ProjectTypeEnum(int value, String defaultLabel, int labelId) {
        this.value = value;
        this.defaultLabel = defaultLabel;
        this.labelId = labelId;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public Integer getLabelId() {
        return labelId;
    }

    @Override
    public String getDefaultLabel() {
        return defaultLabel;
    }

}
